<ion-content padding [scrollEvents]="true" (ionScroll)="logScrolling($event)">
  <div id="container" style="overflow-y: auto !important; overflow-x: hidden !important;"
  >
    <!-- <div class="w-full relative" *ngIf="bannerList?.length > 0">
          <owl-carousel-o [options]="customOptions">
            <ng-container *ngFor="let slide of bannerList ">
              <ng-template carouselSlide [id]="slide.node.id">
                <div class="hidden md:block">
                  <img [src]="slide.node.file" [alt]="slide.node.name">
                </div>
                <div class="block md:hidden">
                  <img [src]="slide.node.fileMobile" [alt]="slide.node.name">
                </div>
              </ng-template>
            </ng-container>
          </owl-carousel-o>
      </div> -->
  
      <div class="container mx-auto max-w-screen-xl mt-28 px-3 md:px-0" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
        <div class="flex flex-wrap items-center capitalize" style="color: #707070;">
            <a routerLink="/home" class="hover:text-black">Trang chủ&nbsp; </a>
            <ion-icon name="chevron-forward-outline"></ion-icon>
            <a class="text-black" >&nbsp;Khuyến mãi&nbsp;</a>
        </div>
      </div>
  
      <div class="scroll row mb-10" id="news">
          <tdl-app-artile-listing ></tdl-app-artile-listing>
      </div>
      <!-- <div class="scroll row" id="beauty-tips" >
          <tdl-app-banner-side [items]="beautyTips$ | async"></tdl-app-banner-side>
      </div>
  
      <div class="scroll row" id="training" >
          <tdl-app-training-side [items]="training$ | async"></tdl-app-training-side>
      </div> -->
      <app-footer></app-footer>
      <div>
        <button  *ngIf="isShowBackToTop" class="fixed  right-12 md:bottom-4 md:right-28 z-50 w-10 h-10 md:w-12 md:h-12 rounded-full bg-main text-white" (click)="scrollToTop()"
            style="border: 1px solid whitesmoke" [ngClass]="cartItemsNo>0 ? 'bottom-28' : 'bottom-16'">
            <mat-icon class="pt-1" matTooltip="Trở về đầu trang">keyboard_arrow_up</mat-icon>
      </button>
      </div>
  </div>
</ion-content>